GCIN-SETUP(1)

NAME
gcin-setup, gcin-setup-tab - configuration tools of gcin

SYNOPSIS
gcin-setup
gcin-setup-tab

DESCRIPTION
gcin-setup is the default configuration tool of gcin. Another configuring method is writing conffiles in $HOME/.gcin/config. See CONFFILES section for further information.

gcin-setup-tab is a tabbed version of gcin-setup.

CONFFILES
Those conffiles below will be created automatically by gcin-setup or gcin-setup-tab, except gcin-bell-volume and gcin-sound-play-overlap.

If you want to write conffiles by yourself, please make sure you have the config directory:

        mkdir -p $HOME/.gcin/config

After that, you may try:

        echo zo > $HOME/.gcin/config/phonetic-keyboard

Thus you make a phonetic-keyboard file with its content zo, which means you select the standard style with 1234 selection method.

All available conffiles are listed, and default options are showed bold.

$HOME/.gcin/config/default-input-method number
    Default input method when gcin is called.

OPTIONS MEANINGS
1 Chanjei input method, version 3
2 Chanjei input method, version 5
3 Bopomofo input method
4 Symbols virtual keyboard
5 Pinyin input method
6 Tsin intelligent Bopomofo input method
7 Dayi input method
8 Array input method, 30 keys version
9 Boshiamy input method, aka Liu's input method
10 Direct input for UTF-32 (U+) or Big-5 characters
11 Simple Chanjei input method
12 Japanese anthy input method
13 Greek letters input method
14 Latin letters input method
15 Jyutping input method
16 NewCJ3 input method

$HOME/.gcin/config/gcb-position number
    Disable or enable gcb clipboard manager.

OPTIONS MEANINGS
0 Disable
1 Enable, at lower left corner
2 Enable, at upper left corner
3 Enable, at lower right corner
4 Enable, at upper right corner

$HOME/.gcin/config/gcb-position-x number
    The X-axis padding of gcb clipboard manager. Default is 0.

$HOME/.gcin/config/gcb-position-y number
    The Y-axis padding of gcb clipboard manager. Default is 0.

$HOME/.gcin/config/gcin-bell-volume number
    Volume of bell ring, between -100 to 100. Default is -97.

$HOME/.gcin/config/gcin-capslock-lower boolean
    Input lower-case letters when Caps Lock key is ON.

OPTIONS MEANINGS
1 ON
0 OFF

$HOME/.gcin/config/gcin-eng-phrase-enabled boolean
    Enable Alt-Shift phrases in alphabet-numeric mode.

OPTIONS MEANINGS
1 ON
0 OFF

$HOME/.gcin/config/gcin-flags-im-enabled number
    Available input methods to be cyclic selected by Control-Shift.

OPTIONS MEANINGS
2147483647 All input methods are enabled.

         2 Ctrl-Alt-1 Chanjei input method, version 3
         4 Ctrl-Alt-2 Chanjei input method, version 5
         8 Ctrl-Alt-3 Bopomofo input method
        16 Ctrl-Alt-4 Symbols virtual keyboard
        32 Ctrl-Alt-5 Pinyin input method
        64 Ctrl-Alt-6 Tsin intelligent Bopomofo input method
       128 Ctrl-Alt-7 Dayi input method
       256 Ctrl-Alt-8 Array input method, 30 keys version
       512 Ctrl-Alt-9 Boshiamy input method, aka Liu's input method
      1024 Ctrl-Alt-0 Direct input for UTF-32 (U+) or Big-5 characters
      2048 Ctrl-Alt-- Simple Chanjei input method
      4096 Ctrl-Alt-= Japanese anthy input method
      8192 Ctrl-Alt-` Greek letters input method
     16384 Ctrl-Alt-[ Latin letters input method
     32768 Ctrl-Alt-] Jyutping input method
     65536 Ctrl-Alt-\ NewCJ3 input method

2147483647 minus numbers of input methods, then you get the configuration number. For example, to disable Greek and Latin letters, calculate 2147483647 - 8192 - 16384 = 2147459071.

        echo 2147459071 > $HOME/.gcin/config/gcin-flags-im-enabled

Then you get it.

$HOME/.gcin/config/gcin-font-name string
    Default font.

OPTIONS MEANINGS
sans Sans-serif
serif Serif

$HOME/.gcin/config/gcin-font-size number
    Font size of character-selection area. Default is 16.

$HOME/.gcin/config/gcin-font-size-gtab-in number
    Font size of key codes input area in gtab input methods (Chanjei IM, Array IM, etc.). Default is 10.

$HOME/.gcin/config/gcin-font-size-pho-near number
    Font size of similar-phonetic character selection in Tsin IM. Default is 14.

$HOME/.gcin/config/gcin-font-size-symbol number
    Font size of symbol-selection window. Default is 12.

$HOME/.gcin/config/gcin-font-size-tsin-pho-in number
    Font size of phonetic input area in Bopomofo and Tsin IM. Default is 10.

$HOME/.gcin/config/gcin-font-size-tsin-presel number
    Font size of phrase pre-selection window in Tsin IM. Default is 16.

$HOME/.gcin/config/gcin-im-toggle-keys number
    Toggle Key for IM window ON/OFF.

OPTIONS MEANINGS
0 Control-Space
1 Shift-Space
2 Alt-Space
3 Windows-Space

$HOME/.gcin/config/gcin-init-im-enabled boolean
    Enable input method mode without pressing toggle keys. This option is not available in XIM mode.

OPTIONS MEANINGS
1 ON
0 OFF

$HOME/.gcin/config/gcin-inner-frame boolean
    Show frame border in gcin window.

OPTIONS MEANINGS
1 ON
0 OFF

$HOME/.gcin/config/gcin-input-style number
    Window style of gcin.

OPTIONS MEANINGS
1 OverTheSpot (Follow the cursor)
2 Root (Fixed index window)

$HOME/.gcin/config/gcin-pop-up-win boolean
    Dynamic pop up window.

OPTIONS MEANINGS
1 ON
0 OFF

$HOME/.gcin/config/gcin-remote-client boolean
    Use gcin in remote applications.

OPTIONS MEANINGS
1 ON
0 OFF

$HOME/.gcin/config/gcin-root-x number
    Window position in X-axis when window style is Root (Fixed index window). Default is 1600.

$HOME/.gcin/config/gcin-root-y number
    Window position in Y-axis when window style is Root (Fixed index window). Default is 1200.

$HOME/.gcin/config/gcin-sel-key-color hex
    Color of selection Key.

OPTIONS MEANINGS
#FF0000 Red
#00FF00 Green
#0000FF Blue
#FFFF00 Yellow
#FF00FF Magenta
#00FFFF Cyan

$HOME/.gcin/config/gcin-shift-space-eng-full boolean
    Toggle to double-wide English character mode with Shift-Space.

OPTIONS MEANINGS
1 ON
0 OFF

$HOME/.gcin/config/gcin-sound-play-overlap boolean
    Play all sound when text-to-speech is enabled.

OPTIONS MEANINGS
1 ON
0 OFF

$HOME/.gcin/config/gcin-status-tray boolean
    Show gcin status in system tray.

OPTIONS MEANINGS
1 ON
0 OFF

$HOME/.gcin/config/gcin-win-color-bg hex
    Background color of gcin window. Default is #005BFF.

$HOME/.gcin/config/gcin-win-color-fg hex
    Foreground color of gcin window.

OPTIONS MEANINGS
#FF0000 Red
#00FF00 Green
#0000FF Blue
#FFFF00 Yellow
#FF00FF Magenta
#FFFFFF White

$HOME/.gcin/config/gcin-win-color-use boolean
    Customized colors in gcin window.

OPTIONS MEANINGS
1 ON
0 OFF

$HOME/.gcin/config/gcin-win-sym-click-close boolean
    Close symbol-selection window after choosing a symbol.

OPTIONS MEANINGS
1 ON
0 OFF

$HOME/.gcin/config/gtab-auto-select-by_phrase boolean
    Auto-select according to Tsin phrase database in gtab input methods.

OPTIONS MEANINGS
1 ON
0 OFF

$HOME/.gcin/config/gtab-capslock-in-eng boolean
    Toggle Chinese/English mode with Caps Lock key in gtab input methods.

OPTIONS MEANINGS
1 ON
0 OFF

$HOME/.gcin/config/gtab-disp-im-name boolean
    Display input method name in gtab input methods.

OPTIONS MEANINGS
1 ON
0 OFF

$HOME/.gcin/config/gtab-disp-key-codes boolean
    Show all possible key codes of character in gtab input methods.

OPTIONS MEANINGS
1 ON
0 OFF

$HOME/.gcin/config/gtab-disp-partial-match boolean
    Display partial matched characters in gtab input methods.

OPTIONS MEANINGS
1 ON
0 OFF

$HOME/.gcin/config/gtab-dup-select-bell boolean
    Bell ring when multiple selections are available in gtab input methods.

OPTIONS MEANINGS
1 ON
0 OFF

$HOME/.gcin/config/gtab-hide-row2 boolean
    Hide second row of window in gtab input methods.

OPTIONS MEANINGS
1 ON
0 OFF

$HOME/.gcin/config/gtab-in-row1 boolean
    Show key codes in first row of window in gtab input methods.

OPTIONS MEANINGS
1 ON
0 OFF

$HOME/.gcin/config/gtab-invalid-key-in boolean
    Clear key codes input area when invalid key and Space key are pressed.

OPTIONS MEANINGS
1 ON
0 OFF

$HOME/.gcin/config/gtab-pre-select boolean
    Show candidate characters before pressing endkey (Space key). For gtab input methods.

OPTIONS MEANINGS
1 ON
0 OFF

$HOME/.gcin/config/gtab-press-full-auto-send boolean
    Auto-send character when key codes input area is filled in gtab input methods.

OPTIONS MEANINGS
1 ON
0 OFF

$HOME/.gcin/config/gtab-que-wild-card boolean
    Use ? as wildcard.

OPTIONS MEANINGS
1 ON
0 OFF

$HOME/.gcin/config/gtab-shift-phrase-key boolean
    Use single Shift key to input Alt-Shift phrases in gtab input methods.

OPTIONS MEANINGS
1 ON
0 OFF

$HOME/.gcin/config/gtab-space-auto-first number
    Function of Space Key in gtab input methods.

OPTIONS MEANINGS
0 Auto-selected by definition in .gtab file.
1 Send first character in Boshiamy input method.
2 Send first character in character-selection area.
4 Does not send first character. (For Array input method.)

$HOME/.gcin/config/gtab-unique-auto-send boolean
    Auto send characters when there is only one choice in gtab input methods.

OPTIONS MEANINGS
1 ON
0 OFF

$HOME/.gcin/config/gtab-vertical-select boolean
    Vertical selection window in gtab input methods.

OPTIONS MEANINGS
1 ON
0 OFF

$HOME/.gcin/config/left-right-button-tips boolean
    Show button tips when mouse cursor stays on gcin window. Default is ON, but it will be turned OFF after gcin-setup is executed.

OPTIONS MEANINGS
1 ON
0 OFF

$HOME/.gcin/config/pho-hide-row2 boolean
    Hide second row of window in Bopomofo and Tsin IM.

OPTIONS MEANINGS
1 ON
0 OFF

$HOME/.gcin/config/pho-in-row1 boolean
    Show key codes in first row of window in Bopomofo IM.

OPTIONS MEANINGS
1 ON
0 OFF

$HOME/.gcin/config/phonetic-char-dynamic-sequence boolean
    Dynamic character sequence adjustment in Bopomofo and Tsin IM.

OPTIONS MEANINGS
1 ON
0 OFF

$HOME/.gcin/config/phonetic-huge-tab boolean
    Input all Traditional Chinese, Simplified Chinese, and Japanese characters provided by pho-huge.tab in Bopomofo and Tsin IM.

OPTIONS MEANINGS
1 ON
0 OFF

$HOME/.gcin/config/phonetic-keyboard string
    Key codes arrangement style in Bopomofo, Tsin, and Japanese anthy IM.

OPTIONS MEANINGS
zo Standard style with 1234 selection method
zo-asdf Standard style with asdf selection method
et Eten style with 1234 selection method
et-asdf Eten style with asdf selection method
et26 Eten 26 keys style with 1234 selection method
et26-asdf Eten 26 keys style with asdf selection method
hsu Mr. Hsu's style (Kuo-Yin IM, Natural Bopomofo IM)
pinyin Phonetic Pinyin style with 1234 selection method
pinyin-asdf Phonetic Pinyin style with asdf selection method
dvorak Dvorak style
ibm IBM style
mitac Mitac style

$HOME/.gcin/config/phonetic-speak boolean
    Enable text-to-speech. You have to install speech data for this feature.

OPTIONS MEANINGS
1 ON
0 OFF

$HOME/.gcin/config/phonetic-speak-sel string
    Speech data filename for text-to-speech.

$HOME/.gcin/config/tsin-buffer-editing-mode boolean
    VI-like editing mode in Tsin IM.

OPTIONS MEANINGS
1 ON
0 OFF

$HOME/.gcin/config/tsin-buffer-size number
    Size of buffer (editing area) in Tsin IM. Default is 40.

$HOME/.gcin/config/tsin-chinese-english-toggle_key number
    Toggle key for Chinese/English mode in Tsin IM.

OPTIONS MEANINGS
1 Caps Lock key
2 Tab key
4 Shift key (Not available in XIM mode).
8 Left Shift key (Not available in XIM mode).
16 Right Shift key (Not available in XIM mode).

$HOME/.gcin/config/tsin-cursor-color hex
    Color of cursor in Tsin IM.

OPTIONS MEANINGS
#FF0000 Red
#00FF00 Green
#0000FF Blue
#FFFF00 Yellow
#FF00FF Magenta
#00FFFF Cyan

$HOME/.gcin/config/tsin-phrase-line-color hex
    Color of phrase-underline in Tsin IM. Default is #0000FF.

$HOME/.gcin/config/tsin-phrase-pre-select boolean
    Show phrase pre-selection window in Tsin IM.

OPTIONS MEANINGS
1 ON
0 OFF

$HOME/.gcin/config/tsin-space-opt number
    Function of Space key in Tsin IM.

OPTIONS MEANINGS
1 Select other same phonetic characters.
2 Send space to buffer of Tsin IM.

$HOME/.gcin/config/tsin-tab-phrase-end boolean
    Use Escape key or Tab key to stop phrase-auto-selection in Tsin IM.

OPTIONS MEANINGS
1 ON
0 OFF

$HOME/.gcin/config/tsin-tail-select-key boolean
    Show selection keys follows choices in Tsin IM.

OPTIONS MEANINGS
1 ON
0 OFF

$HOME/.gcin/config/tsin-tone-char-input boolean
    Input tone sympols of Bopomofo in Tsin IM.

OPTIONS MEANINGS
1 ON
0 OFF

SEE ALSO
gcin(1)